> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/it/risorse-per-sviluppatori/api-docs/vector-store/get-vector-stores-information.md).

# Ottieni le informazioni dell'archivio vettoriale

{% openapi src="/files/TgprWtaxn0x1jf4BJIMN" path="/vector-stores/me" method="get" %}
[rememberizer\_openapi.yml](https://2549770777-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F57qWu8jBt3M3SWmz6Y83%2Fuploads%2Fgit-blob-4f45581f68048634d677b5e3d260a677eeb0242f%2Frememberizer_openapi.yml?alt=media\&token=7f673453-89b5-4d08-beab-3fb44863de41)
{% endopenapi %}

## Esempi di Richieste

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/me \
  -H "x-api-key: YOUR_API_KEY"
```

{% hint style="info" %}
Sostituisci `YOUR_API_KEY` con la tua reale chiave API del Vector Store.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getVectorStoreInfo = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/vector-stores/me', {
    method: 'GET',
    headers: {
      'x-api-key': 'YOUR_API_KEY'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getVectorStoreInfo();
```

{% hint style="info" %}
Sostituisci `YOUR_API_KEY` con la tua reale chiave API del Vector Store.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_vector_store_info():
    headers = {
        "x-api-key": "YOUR_API_KEY"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/vector-stores/me",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_vector_store_info()
```

{% hint style="info" %}
Sostituisci `YOUR_API_KEY` con la tua reale chiave API del Vector Store.
{% endhint %}
{% endtab %}
{% endtabs %}

## Formato di Risposta

```json
{
  "id": "vs_abc123",
  "name": "Il Mio Negozio di Vettori",
  "description": "Un negozio di vettori per la documentazione del prodotto",
  "embedding_model": "sentence-transformers/all-mpnet-base-v2",
  "indexing_algorithm": "ivfflat",
  "vector_dimension": 128,
  "search_metric": "cosine_distance",
  "created": "2023-06-01T10:30:00Z",
  "modified": "2023-06-15T14:45:00Z"
}
```

## Autenticazione

Questo endpoint richiede autenticazione utilizzando una chiave API nell'intestazione `x-api-key`.

## Risposte di Errore

| Codice di Stato | Descrizione                                        |
| --------------- | -------------------------------------------------- |
| 401             | Non autorizzato - Chiave API non valida o mancante |
| 404             | Non trovato - Vector Store non trovato             |
| 500             | Errore interno del server                          |

Questo endpoint recupera informazioni sul vector store associato alla chiave API fornita. È utile per controllare i dettagli di configurazione, inclusi il modello di embedding, la dimensionalità e la metrica di ricerca utilizzata. Queste informazioni possono essere preziose per ottimizzare le query di ricerca e comprendere le capacità del vector store.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/it/risorse-per-sviluppatori/api-docs/vector-store/get-vector-stores-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
